Package picard.arrays.illumina

# Enum Class IlluminaGenotype

java.lang.Object
java.lang.Enum<IlluminaGenotype>
picard.arrays.illumina.IlluminaGenotype

All Implemented Interfaces:
  `Serializable`, `Comparable<IlluminaGenotype>`, `Constable`

public enum IlluminaGenotype extends Enum<IlluminaGenotype>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AA`
`AB`
`BB`
`NN`

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`value`

## Method Summary

Modifier and Type
Method
Description
`static IlluminaGenotype`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IlluminaGenotype[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AA

public static final IlluminaGenotype AA

### AB

public static final IlluminaGenotype AB

### BB

public static final IlluminaGenotype BB

### NN

public static final IlluminaGenotype NN

## Field Details

### value

public final short value

## Method Details

### values

public static IlluminaGenotype[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IlluminaGenotype valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null